<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    protected $fillable = [
        'name', 'image', 'price', 'description', 'quantity'];
    public function getStockStatusAttribute()
    {
        return $this->quantity > 0 ? 'In Stock' : 'Out of Stock';
    }
}
